Bug 808253 - MCollective::UnknownRPCError error during migration
MCollective::UnknownRPCError error during migration
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 19:12 EDT by Rob Millner
Modified: 2015-05-14 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2012-03-29 19:12:05 EDT
Description of problem:
All my test migrations fail on an mcollective error:

MCollective::UnknownRPCError: Failed to validate namespace: undefined method `match' for nil:NilClass


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Create a stage instance from the previous version of Express (ami-0fce1066)
2. Create several applications with and without jenkins
3. Edit the readme file on each app, push and observe the app updated successfully.
4. Switch to the yum "candidate" repositories, do a clean all and upgrade.
5. devenv sync
6. follow the migration procedure.
  
Actual results:
All migration calls fail at the mcollective client call.

Expected results:
Most or all migrations succeed.

Additional info:

./li-test/misc/maintenance/bin/migrate-2.0.8 --rhlogin 'rlm15stg0' --migrate-app 'rlm15stg0'

./li-test/misc/maintenance/bin/migrate-2.0.8:70:in `migrate_app': Failed to validate namespace: undefined method `match' for nil:NilClass (RuntimeError)

/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:528:in `process_results_with_block'
/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:450:in `call_agent'
/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:129:in `req'
/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:124:in `loop'
/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:124:in `req'
/usr/lib/ruby/1.8/timeout.rb:67:in `timeout'
/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:123:in `req'
/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:446:in `call_agent'
/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:257:in `custom_request'
/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:193:in `method_missing'
./li-test/misc/maintenance/bin/migrate-2.0.8:34:in `migrate_app'
/var/www/stickshift/broker/lib/express/broker/application_container_proxy.rb:611:in `rpc_exec'
./li-test/misc/maintenance/bin/migrate-2.0.8:33:in `migrate_app'
/usr/lib/ruby/1.8/timeout.rb:67:in `timeout'
./li-test/misc/maintenance/bin/migrate-2.0.8:32:in `migrate_app'
./li-test/misc/maintenance/bin/migrate-2.0.8:499


Output:
Migrating app on node with: ./li-test/misc/maintenance/bin/migrate-2.0.8 --rhlogin 'rlm15stg0' --migrate-app 'rlm15stg0'
	from ./li-test/misc/maintenance/bin/migrate-2.0.8:499
Comment 1 Rob Millner 2012-03-29 19:27:25 EDT
This stems from running migrate-mongo twice on the same node.
Comment 2 Rob Millner 2012-03-29 19:42:03 EDT
Fixed in ae22944179.
Comment 3 Meng Bo 2012-03-30 01:28:11 EDT
check this case with latest migration scripts.
after running migrate-mongo-2.0.8 twice, did not get any error when running migrate-2.0.8
mark this as VERIFIED

Note You need to log in before you can comment on or make changes to this bug.